/* $Id: ai_buoylist.cpp 16912 2009-07-22 10:18:19Z rubidium $ */

/** @file ai_buoylist.cpp Implementation of AIBuoyList and friends. */

#include "ai_buoylist.hpp"
#include "../../waypoint_base.h"

AIBuoyList::AIBuoyList()
{
	Waypoint *wp;
	FOR_ALL_WAYPOINTS(wp) {
		if (wp->facilities & FACIL_DOCK) this->AddItem(wp->xy);
	}
}
